
include:
  - project: 'platform-enginnering/devops/shared-libraries/remote-pipelines'
    ref: 'develop'
    file: 'ci-pipeline/nodejs/.gitlab-ci.yml'
    
stages:
  - build
  - scan
  - deploy
  - publish

variables:
    CI_USER_REGISTRY: $CI_USER_REGISTRY
    CI_TOKEN_REGISTRY: $CI_TOKEN_REGISTRY
    CI_REGISTRY: $CI_REGISTRY
    GITLAB_USER: $GITLAB_USER
    GITLAB_ACCESS_TOKEN: $GITLAB_ACCESS_TOKEN
    GITLAB_AUTH_TOKEN: $GITLAB_AUTH_TOKEN 
    GROUP: web1
    
